/* 定制公告栏时钟位置 */
#clockdiv {
  /* left, center, right */
  text-align: center;
}

/* 定制返回顶部按键 */
#toTop {
  background: url(//https://images.cnblogs.com/cnblogs_com/shwee/1218109/o_toTop.bmp) no-repeat 0px top;
  width: 57px;
  height: 57px;
  overflow: hidden;
  position: fixed;
  right: 180px;
  bottom: 20px;
  cursor: pointer;
}

/* 定制推荐和反对按键 */
#div_digg {
  position: fixed;
  bottom: -10px;
  width: 120px;
  right: 20px;
  box-shadow: 0 0 6px #0000FF;
  border: 2px solid #FF0000;
  padding: 4px;
  background-color: #fff;
  border-radius: 4px 4px 4px 4px !important;
}

.icon_favorite {
  background: transparent url('https://images.cnblogs.com/cnblogs_com/shwee/1218109/o_kj.gif') no-repeat 0 0;
  padding-left: 15px;
}

#blog_post_info_block a {
  text-decoration: none;
  color: #5B9DCA;
  padding: 3px;
}

/*
Monokai Sublime style. Derived from Monokai by noformnocontent https://nn.mit-license.org/
*/
pre {
  /*控制代码不换行*/
  white-space: pre;
  word-wrap: normal;
}

.cnblogs-markdown .hljs {
  font-size: 16px !important;
  font-family: consolas, monospace !important;
  display: block;
  overflow-x: auto;
  padding: 0.5em;
  background: #23241f !important;
  color: #FFF;
  white-space: pre;
  word-break: normal;
  padding: 10px 15px !important;
}

.hljs,
.hljs-tag,
.hljs-subst {
  color: #f8f8f2;
}

.hljs-strong,
.hljs-emphasis {
  color: #a8a8a2;
}

.hljs-bullet,
.hljs-quote,
.hljs-number,
.hljs-regexp,
.hljs-literal,
.hljs-link {
  color: #ae81ff;
}

.hljs-code,
.hljs-title,
.hljs-section,
.hljs-selector-class {
  color: #a6e22e;
}

.hljs-strong {
  font-weight: bold;
}

.hljs-emphasis {
  font-style: italic;
}

.hljs-keyword,
.hljs-selector-tag,
.hljs-name,
.hljs-attr {
  color: #f92672;
}

.hljs-symbol,
.hljs-attribute {
  color: #66d9ef;
}

.hljs-params,
.hljs-class .hljs-title {
  color: #f8f8f2;
}

.hljs-string,
.hljs-type,
.hljs-built_in,
.hljs-builtin-name,
.hljs-selector-id,
.hljs-selector-attr,
.hljs-selector-pseudo,
.hljs-addition,
.hljs-variable,
.hljs-template-variable {
  color: #e6db74;
}

.hljs-comment,
.hljs-deletion,
.hljs-meta {
  color: #75715e;
}


/* 设置博客正文一二三级标题格式 */
/* 一级标题 */
#cnblogs_post_body h1 {
  font-size: 28px;
  font-weight: bold;
  line-height: 1.5;
  color: black;
  margin: 10px 0;
}

/* 二级标题 */
#cnblogs_post_body h2 {
  font-size: 24px;
  font-weight: bold;
  line-height: 1.5;
  color:#595756;
  background-color:#d6d4c4;
  margin: 10px 0;
}

/* 三级标题 */
#cnblogs_post_body h3 {
  font-size: 20px;
  font-weight: bold;
  line-height: 1.5;
  color: whitesmoke;
  background-color: dimgrey;
}

/*  正文 */
#cnblogs_post_body p {
  font-size: 12pt;
}

/* 设置tongqingliu顶部间距*/
h1 {
  margin-top: 20px;
}

/* 设置tongqingliu方框及背景*/
#top {
  color: #333;
  margin-left: 50px;
  margin-right: 50px;
  border-radius: 10px;
  background-color: transparent;
  border-top: 0px;
  padding-bottom: 35px;
  text-align: center;
}

/* 设置tongqingliu字体及大小*/
#top a,
#top a:link,
#top a:visited,
#top a:active,
#top a:hover {
  font-family: "Comic Sans MS";
  font-size: larger;
  color: #483f3f;
}

/* 设置保持学习的态度 */
#tagline {
  margin-top: 20px;
  font-size: large;
  color: white;
}

/* 导航及以文字所在方框的位置 */
#leftmenu {
  margin-top: 100px;
}

/* 导航，统计信息 */
#leftmenu h3 {
  font-family:微软雅黑, palatino, georgia, times new roman, serif;
  color: #6d8f98;
  background-color: #f1ebdd;
  font-size: 1.3em;
  font-weight: normal;
  padding: 3px;
  margin-top: 0;
  line-height: 1.5;
  letter-spacing: .1em;
  text-transform: uppercase;
}

/* 首页，联系，管理，随笔，文章，评论 */
#leftmenu ul {
  font-size: 14px;
}

/* 置顶随笔及以下所在方框 */
#main {
  margin-top: 50px;
}

/* 置顶随笔， 日期  */
p.date {
  color: black;
  font-family: Palatino, georgia, times new roman, serif;
  font-size: 1em;
  font-weight: bold;
  padding-top: 15px;
  padding-bottom: 10px;
  display: none;
}
body{
  background: url(https://timgsa.baidu.com/timg?image&quality=80&size=b9999_10000&sec=1538192143611&di=cdb9b12f149a073964879cd33dc2b26f&imgtype=0&src=http%3A%2F%2Fwx3.sinaimg.cn%2Flarge%2F740ca5e5gy1fgixxckss7j21hc0u04qp.jpg);
  background-repeat: no-repeat;
  background-attachment: fixed;
opacity: 0.8;
background-color: #d9d6cb;
background-size:cover;
}
#leftmenu {
background-color:#d9d6cb;
}